classification
Title: Python 3.7.6 installation issue on mac os x 10.6.8
Type: Stage: resolved
Components: Installation Versions: Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: python-3.7.3-macosx10.6.pkg verification error on macOS 10.6 Snow Leopard
View: 36890
Assigned To: Nosy List: AsmiAriv, ned.deily
Priority: normal Keywords:

Created on 2020-05-26 09:28 by AsmiAriv, last changed 2020-06-01 03:55 by AsmiAriv. This issue is now closed.

Messages (3)
msg369962 - (view) Author: Asmi Ariv (AsmiAriv) Date: 2020-05-26 09:28
I am unable to install Python 3.7.6 on my Macbook with OS X 10.6.8 (Snow Leopard). I am getting the following error:

The operation couldn’t be completed. (com.apple.installer.pagecontroller error -1.)
Couldn't open "python-3.7.6-macosx10.6.pkg".

Is it possible for you to provide .dmg file for the same or any higher version compatible with Mac OS X 10.6.8 (Snow Leopard). Many thanks!

Regards
Asmi Ariv
msg370044 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-05-27 03:12
Thanks for your report. Because of very low usage and the increasing difficulty of supporting new features and bug fixes on very old versions of macOS, like 10.6.x, we no longer provide binary installers on python.org for macOS versions earlier than 10.9. On top of that, there was a specific problem with using the last several 10.6+ installers on 10.6 itself, due to changes in Apple packaging tools. This is the problem you are seeing and was first reported and tracked in Issue36890. As noted there, there is a link to a 3.7.4 installer that will work on macOS 10.6. However, we do not recommend you use it as the most recent release of Python 3.7 is now 3.7.7 with the final bugfix release of 3.7.x coming next month; Python 3.8.3 is now current.

Instead, if you expect to continue using 10.6 Snow Leopard, I would strongly suggest you look at installing Python(s) from the MacPorts project.  They do an excellent job of providing up-to-date versions of open source software, like Python, for multiple versions of macOS, including 10.6. They have pre-built packages of the most recent versions of python37 and python38 for 10.6.  See https://www.macports.org/install.php#installing for a link to their base package installer for 10.6. You can then install Python with:

sudo port selfupdate
sudo port install python37
or
sudo port install python38

Many third-party Python packages have also been ported and pre-built. You can search for them with:

sudo port search py37  # (or py38)

or on their website at https://ports.macports.org

Good luck!
msg370527 - (view) Author: Asmi Ariv (AsmiAriv) Date: 2020-06-01 03:55
Thanks a lot for your reply! Much appreciated!

Regards
Asmi Ariv
Data Science & Business Analytics Expert

On Wed, 27 May, 2020, 8:42 am Ned Deily, <report@bugs.python.org> wrote:

>
> Ned Deily <nad@python.org> added the comment:
>
> Thanks for your report. Because of very low usage and the increasing
> difficulty of supporting new features and bug fixes on very old versions of
> macOS, like 10.6.x, we no longer provide binary installers on python.org
> for macOS versions earlier than 10.9. On top of that, there was a specific
> problem with using the last several 10.6+ installers on 10.6 itself, due to
> changes in Apple packaging tools. This is the problem you are seeing and
> was first reported and tracked in Issue36890. As noted there, there is a
> link to a 3.7.4 installer that will work on macOS 10.6. However, we do not
> recommend you use it as the most recent release of Python 3.7 is now 3.7.7
> with the final bugfix release of 3.7.x coming next month; Python 3.8.3 is
> now current.
>
> Instead, if you expect to continue using 10.6 Snow Leopard, I would
> strongly suggest you look at installing Python(s) from the MacPorts
> project.  They do an excellent job of providing up-to-date versions of open
> source software, like Python, for multiple versions of macOS, including
> 10.6. They have pre-built packages of the most recent versions of python37
> and python38 for 10.6.  See
> https://www.macports.org/install.php#installing for a link to their base
> package installer for 10.6. You can then install Python with:
>
> sudo port selfupdate
> sudo port install python37
> or
> sudo port install python38
>
> Many third-party Python packages have also been ported and pre-built. You
> can search for them with:
>
> sudo port search py37  # (or py38)
>
> or on their website at https://ports.macports.org
>
> Good luck!
>
> ----------
> nosy: +ned.deily
> resolution:  -> duplicate
> stage:  -> resolved
> status: open -> closed
> superseder:  -> python-3.7.3-macosx10.6.pkg verification error on macOS
> 10.6 Snow Leopard
> type: compile error ->
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue40776>
> _______________________________________
>
History
Date User Action Args
2020-06-01 03:55:36AsmiArivsetmessages: + msg370527
2020-05-27 03:12:21ned.deilysetstatus: open -> closed

superseder: python-3.7.3-macosx10.6.pkg verification error on macOS 10.6 Snow Leopard
nosy: + ned.deily

messages: + msg370044
type: compile error ->
resolution: duplicate
stage: resolved
2020-05-26 09:28:56AsmiArivcreate